Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.util
Class XSGrammarPool

    java.lang.Object
      |
      +--org.apache.xerces.util.XMLGrammarPoolImpl
            |
            +--org.apache.xerces.impl.xs.util.XSGrammarPool

All Implemented Interfaces:
  org.apache.xerces.xni.grammars.XMLGrammarPool

public class XSGrammarPool
extends XMLGrammarPoolImpl

Add a method that return an `XSModel` that represents components in the schema grammars in this pool implementation.*

Version:
  $Id: XSGrammarPool.java,v 1.2 2003/11/11 20:15:00 sandygao Exp $

Inner classes inherited from class org.apache.xerces.util.XMLGrammarPoolImpl
`XMLGrammarPoolImpl.Entry`

Fields inherited from class org.apache.xerces.util.XMLGrammarPoolImpl
`fGrammarCount, fGrammars, fPoolIsLocked, TABLE_SIZE`

Constructor Summary
`XSGrammarPool()`

Method Summary
`org.apache.xerces.xs.XSModel` | `toXSModel()` Return an `XSModel` that represents components in the schema grammars in this pool implementation.

Methods inherited from class org.apache.xerces.util.XMLGrammarPoolImpl
`cacheGrammars, clear, containsGrammar, equals, getGrammar, hashCode, lockPool, putGrammar, removeGrammar, retrieveGrammar, retrieveInitialGrammarSet, unlockPool`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSGrammarPool

    public XSGrammarPool()

Method Detail

### toXSModel

    public org.apache.xerces.xs.XSModel toXSModel()

  Return an `XSModel` that represents components in the schema grammars in this pool implementation.
  Returns:
    an `XSModel` representing this schema grammar

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.